ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetDeviceDao

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.server.bean.InetDeviceDao

- All Implemented Interfaces:
    ru.bitel.common.worker.Recyclable

      public class InetDeviceDao
      extends java.lang.Object
      implements ru.bitel.common.worker.Recyclable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpec>` | `entitySpecDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetDeviceDao(java.sql.Connection con, int mid)`
    `InetDeviceDao(java.sql.Connection con, int mid, int userId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkTables(java.sql.Connection con, int moduleId, java.util.Date initialDate)`
    `void` | `delete(int id)`
    `InetDevice` | `get(int id)`
    `ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpec>` | `getEntitySpecDirectory()`
    `java.util.List<InetDevice>` | `inetDeviceList(int deviceTypeId)`
    `java.util.List<InetDevice>` | `listByInvDeviceId(int id)`
    `java.util.List<InetDevice>` | `listSource()`
    `void` | `move(int newParentId, java.util.Set<java.lang.Integer> children)`
    `InetDevice` | `node(java.util.List<FilterEntityAttr> entityFilter, int deviceId, boolean loadDeviceGroupIds)`
    `void` | `recycle()` В реализацию данного метода стоит включить инструкции, которые освобождают использованные в классе ресурсы (закешированые PreparedStatement, дао, отнаследованные от AbstractDao, потоки ввода/вывода ).
    `InetDevice` | `root(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupIds, boolean loadAncestors)`
    `InetDevice` | `rootSource()`
    `void` | `update(InetDevice b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entitySpecDirectory

          protected ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpec> entitySpecDirectory

  - ### Constructor Detail

    - #### InetDeviceDao

          public InetDeviceDao(java.sql.Connection con,
                               int mid,
                               int userId)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### InetDeviceDao

          public InetDeviceDao(java.sql.Connection con,
                               int mid)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### root

          public InetDevice root(java.lang.String identifier,
                                 java.lang.String host,
                                 java.util.Set<java.lang.Integer> deviceTypeIds,
                                 java.util.Set<java.lang.Integer> deviceGroupIds,
                                 java.util.Date dateFrom,
                                 java.util.Date dateTo,
                                 java.util.Date intersectDateFrom,
                                 java.util.Date intersectDateTo,
                                 java.util.List<FilterEntityAttr> entityFilter,
                                 boolean loadDeviceGroupIds,
                                 boolean loadAncestors)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### node

          public InetDevice node(java.util.List<FilterEntityAttr> entityFilter,
                                 int deviceId,
                                 boolean loadDeviceGroupIds)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public InetDevice get(int id)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getEntitySpecDirectory

          public ru.bitel.bgbilling.kernel.directory.api.common.Directory<? extends EntitySpec> getEntitySpecDirectory()
                                                                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(InetDevice b)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### move

          public void move(int newParentId,
                           java.util.Set<java.lang.Integer> children)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recycle

          public void recycle()

      Description copied from interface: `ru.bitel.common.worker.Recyclable`
      В реализацию данного метода стоит включить инструкции, которые освобождают использованные в классе ресурсы (закешированые PreparedStatement, дао, отнаследованные от AbstractDao, потоки ввода/вывода ).
      Specified by:
        `recycle` in interface `ru.bitel.common.worker.Recyclable`

    - #### rootSource

          public InetDevice rootSource()
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listSource

          public java.util.List<InetDevice> listSource()
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listByInvDeviceId

          public java.util.List<InetDevice> listByInvDeviceId(int id)
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkTables

          public static void checkTables(java.sql.Connection con,
                                         int moduleId,
                                         java.util.Date initialDate)

    - #### inetDeviceList

          public java.util.List<InetDevice> inetDeviceList(int deviceTypeId)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`